summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-p2p/dclib/dclib-9999.ebuild35
-rw-r--r--net-p2p/kmldonkey/kmldonkey-2.9999.ebuild28
-rw-r--r--net-p2p/mldonkey/mldonkey-9999.ebuild194
-rw-r--r--net-p2p/verlihub/files/db_charset_gcc43.patch112
-rw-r--r--net-p2p/verlihub/verlihub-0.9.8e-r3.ebuild105
5 files changed, 0 insertions, 474 deletions
diff --git a/net-p2p/dclib/dclib-9999.ebuild b/net-p2p/dclib/dclib-9999.ebuild
deleted file mode 100644
index 3ae2457..0000000
--- a/net-p2p/dclib/dclib-9999.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-p2p/dclib/dclib-0.3.21.ebuild,v 1.1 2008/09/24 19:59:13 armin76 Exp $
-
-inherit subversion autotools
-
-DESCRIPTION="DirectConnect client library"
-HOMEPAGE="http://sourceforge.net/projects/wxdcgui"
-SRC_URI=""
-
-ESVN_REPO_URI="https://wxdcgui.svn.sourceforge.net/svnroot/wxdcgui/trunk/dclib"
-ESVN_STORE_DIR="${DISTDIR}/svn-src"
-ESVN_PROJECT="${PN/-svn}"
-
-S="${WORKDIR}/${P/_/}"
-
-LICENSE="GPL-2"
-SLOT=""
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~x86"
-IUSE=""
-
-DEPEND=">=app-arch/bzip2-1.0.2
- >=dev-libs/libxml2-2.4.22"
-
-src_unpack(){
- subversion_src_unpack
- cd "${S}"
- eautoreconf
-}
-
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed."
- dodoc AUTHORS ChangeLog NEWS README TODO
-}
diff --git a/net-p2p/kmldonkey/kmldonkey-2.9999.ebuild b/net-p2p/kmldonkey/kmldonkey-2.9999.ebuild
deleted file mode 100644
index ea7b2bb..0000000
--- a/net-p2p/kmldonkey/kmldonkey-2.9999.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-p2p/kmldonkey/kmldonkey-2.0.2-r1.ebuild,v 1.2 2009/03/02 14:38:40 scarabeus Exp $
-
-EAPI="3"
-
-
-
-KMNAME="extragear/network"
-KMMODULE="kmldonkey"
-
-inherit kde4-base
-
-DESCRIPTION="Provides integration for the MLDonkey P2P software and KDE 4."
-HOMEPAGE="http://extragear.kde.org/apps/kmldonkey/"
-LICENSE="GPL-2 LGPL-2"
-
-SLOT="live"
-
-KEYWORDS="~amd64 ~x86"
-IUSE="debug plasma"
-
-RDEPEND="plasma? ( >=kde-base/plasma-workspace-${KDE_MINIMAL} )"
-DEPEND="${RDEPEND}
- !net-p2p/kmldonkey:4.1
- sys-devel/gettext"
-
-
diff --git a/net-p2p/mldonkey/mldonkey-9999.ebuild b/net-p2p/mldonkey/mldonkey-9999.ebuild
deleted file mode 100644
index 0368454..0000000
--- a/net-p2p/mldonkey/mldonkey-9999.ebuild
+++ /dev/null
@@ -1,194 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-p2p/mldonkey/mldonkey-2.9.6.ebuild,v 1.1 2008/08/05 18:09:54 armin76 Exp $
-
-WANT_AUTOCONF=2.5
-
-inherit flag-o-matic eutils autotools toolchain-funcs cvs
-
-EAPI="1"
-
-IUSE="doc fasttrack gd gnutella gtk guionly magic +ocamlopt"
-
-DESCRIPTION="MLDonkey is a multi-network P2P application written in Ocaml, coming with its own Gtk GUI, web and telnet interface."
-HOMEPAGE="http://mldonkey.sourceforge.net/"
-SRC_URI=""
-
-ECVS_SERVER="cvs.sv.gnu.org:/sources/mldonkey"
-ECVS_MODULE="mldonkey"
-ECVS_AUTH="pserver"
-ECVS_USER="anonymous"
-S="${WORKDIR}/${PN}"
-
-LICENSE="GPL-2"
-SLOT=""
-KEYWORDS=""
-
-RDEPEND="dev-lang/perl
- guionly? ( >=gnome-base/librsvg-2.4.0
- >=dev-ml/lablgtk-2.6 )
- gtk? ( >=gnome-base/librsvg-2.4.0
- >=dev-ml/lablgtk-2.6 )
- gd? ( >=media-libs/gd-2.0.28 )
- magic? ( sys-apps/file )"
-
-DEPEND="${RDEPEND}
- >=dev-lang/ocaml-3.08.3
- sys-apps/sed"
-
-MLUSER="p2p"
-
-pkg_setup() {
- if use gtk; then
- echo ""
- einfo "If the compile with gui fails, and you have updated Ocaml"
- einfo "recently, you may have forgotten that you need to run"
- einfo "/usr/portage/dev-lang/ocaml/files/ocaml-rebuild.sh"
- einfo "to learn which ebuilds you need to recompile"
- einfo "each time you update Ocaml to a different version"
- einfo "see the Ocaml ebuild for details"
- echo ""
- fi
-
- if use gtk && ! built_with_use dev-ml/lablgtk svg; then
- eerror "dev-ml/lablgtk must be built with the 'svg' USE flag to use the gtk gui"
- die "Recompile dev-ml/lablgtk with enabled svg USE flag"
- fi
-
- if use gd && ! built_with_use media-libs/gd truetype; then
- eerror "media-libs/gd must be built with 'truetype' to compile"
- eerror "MLDonkey with gd support"
- die "Recompile media-libs/gd with enabled truetype USE flag"
- fi
- if use ocamlopt && ! built_with_use --missing true dev-lang/ocaml ocamlopt; then
- eerror "In order to build ${PN} with native code support from ocaml"
- eerror "You first need to have a native code ocaml compiler."
- eerror "You need to install dev-lang/ocaml with ocamlopt useflag on."
- die "Please install ocaml with ocamlopt useflag"
- fi
- # dev-lang/ocaml creates its own objects but calls gcc for linking, which will
- # results in relocations if gcc wants to create a PIE executable
- if gcc-specs-pie ; then
- append-ldflags -nopie
- ewarn "Ocaml generates its own native asm, you're using a PIE compiler"
- ewarn "We have appended -nopie to ocaml build options"
- ewarn "because linking an executable with pie while the objects are not pic will not work"
- fi
-}
-
-src_unpack() {
-# unpack ${A} && cd "${S}"
- cvs_src_unpack
- cd "${S}"/config
- eautoconf
- cd "${S}"
- use ocamlopt || sed -i -e "s/ocamlopt/idontwantocamlopt/g" "${S}/config/configure" || die "failed to disable ocamlopt"
-}
-
-src_compile() {
- # the dirs are not (yet) used, but it doesn't hurt to specify them anyway
-
- # onlygui Disable all nets support, build only chosen GUI
-
- if use gtk || use guionly; then
- myconf="--enable-gui=newgui2"
- else
- myconf="--disable-gui"
- fi
-
- if use guionly; then
- myconf="${myconf} --disable-multinet --disable-donkey"
- fi
-
- cd "${S}"
- econf \
- --sysconfdir=/etc/mldonkey \
- --sharedstatedir=/var/mldonkey \
- --localstatedir=/var/mldonkey \
- --enable-checks \
- --disable-batch \
- $(use_enable fasttrack) \
- $(use_enable gnutella) \
- $(use_enable gnutella gnutella2) \
- $(use_enable gd) \
- $(use_enable magic) \
- --enable-ocamlver=3.10 \
- ${myconf} || die "econf failed"
-
- export OCAMLRUNPARAM="l=256M"
- emake || die "emake failed"
-
- if ! use guionly; then
- emake utils || die "emake utils failed"
- fi;
-}
-
-src_install() {
- local myext=""
- use ocamlopt || myext=".byte"
- use ocamlopt || export STRIP_MASK="*/bin/*"
- if ! use guionly; then
- for i in mlnet mld_hash get_range copysources make_torrent subconv; do
- newbin $i$myext $i || die "failed to install $i"
- done
-
- newconfd "${FILESDIR}/mldonkey.confd-2.8" mldonkey
- fperms 600 /etc/conf.d/mldonkey
- newinitd "${FILESDIR}/mldonkey.initd" mldonkey
- fi
-
- if use gtk; then
- for i in mlgui mlguistarter; do
- newbin $i$myext $i || die "failed to install $i"
- done
- make_desktop_entry mlgui "MLDonkey GUI" mldonkey "Network;P2P"
- newicon "${S}"/packages/rpm/mldonkey-icon-48.png ${PN}.png
- fi
-
- if use doc ; then
- cd "${S}"/distrib
- dodoc ChangeLog *.txt
- dohtml *.html
-
- insinto /usr/share/doc/${PF}/scripts
- doins kill_mldonkey mldonkey_command mldonkey_previewer make_buginfo
-
- cd "${S}"/docs
- dodoc *.txt *.tex *.pdf
- dohtml *.html
-
- cd "${S}"/docs/developers
- dodoc *.txt *.tex
-
- cd "${S}"/docs/images
- insinto /usr/share/doc/${PF}/html/images
- doins *
- fi
-}
-
-pkg_preinst() {
- if ! use guionly; then
- enewuser ${MLUSER} -1 -1 /home/p2p users
- fi
-}
-
-pkg_postinst() {
- if ! use guionly; then
- echo
- einfo "If you want to start MLDonkey as a system service, use"
- einfo "the /etc/init.d/mldonkey script. To control bandwidth, use"
- einfo "the 'slow' and 'fast' arguments. Be sure to have a look at"
- einfo "/etc/conf.d/mldonkey also."
- echo
- einfo "Attention: 2.6 has changed the inifiles structure, so downgrading"
- einfo "will be problematic."
- einfo "User settings (admin) are transferred to users.ini from "
- einfo "downloads.ini"
- einfo "Old ini files are automatically converted to the new format"
- echo
- else
- echo
- einfo "Simply run mlgui to start the chosen MLDonkey gui."
- einfo "It puts its config files into ~/.mldonkey"
- fi
-}
diff --git a/net-p2p/verlihub/files/db_charset_gcc43.patch b/net-p2p/verlihub/files/db_charset_gcc43.patch
deleted file mode 100644
index 0b51040..0000000
--- a/net-p2p/verlihub/files/db_charset_gcc43.patch
+++ /dev/null
@@ -1,112 +0,0 @@
-diff -Naur verlihub-0.9.8e-r2/src/cconfmysql.h verlihub-0.9.8e-r2-patched/src/cconfmysql.h
---- verlihub-0.9.8e-r2/src/cconfmysql.h 2009-03-14 18:24:56.000000000 +0200
-+++ verlihub-0.9.8e-r2-patched/src/cconfmysql.h 2010-03-11 10:29:42.849254472 +0200
-@@ -20,6 +20,7 @@
-
- #include "cconfigbase.h"
- #include <iostream>
-+#include <string.h>
- #include <iomanip>
- #include "cmysql.h"
- #include "cquery.h"
-diff -Naur verlihub-0.9.8e-r2/src/cdbconf.cpp verlihub-0.9.8e-r2-patched/src/cdbconf.cpp
---- verlihub-0.9.8e-r2/src/cdbconf.cpp 2009-03-23 17:18:58.000000000 +0200
-+++ verlihub-0.9.8e-r2-patched/src/cdbconf.cpp 2010-03-11 10:23:41.705015757 +0200
-@@ -22,6 +22,7 @@
- Add("lang_name",lang_name,string("lang_en"));
- Add("allow_exec",allow_exec, false);
- Add("allow_exec_mod",allow_exec_mod, true);
-+ Add("db_charset",db_charset,string("utf8"));
- Load();
- }
-
-diff -Naur verlihub-0.9.8e-r2/src/cdbconf.h verlihub-0.9.8e-r2-patched/src/cdbconf.h
---- verlihub-0.9.8e-r2/src/cdbconf.h 2009-03-23 17:19:47.000000000 +0200
-+++ verlihub-0.9.8e-r2-patched/src/cdbconf.h 2010-03-11 10:24:22.047010055 +0200
-@@ -31,6 +31,7 @@
- string db_user;
- string db_pass;
- string db_data;
-+ string db_charset;
- string config_name;
- string lang_name;
- bool allow_exec;
-diff -Naur verlihub-0.9.8e-r2/src/cmysql.cpp verlihub-0.9.8e-r2-patched/src/cmysql.cpp
---- verlihub-0.9.8e-r2/src/cmysql.cpp 2009-04-06 16:26:49.000000000 +0300
-+++ verlihub-0.9.8e-r2-patched/src/cmysql.cpp 2010-03-11 10:26:58.097009739 +0200
-@@ -33,11 +33,11 @@
- /*!
- \fn nMySQL::cMySQL::cMySQL(string&host,string&user,string&pass,string&data)
- */
--cMySQL::cMySQL(string&host,string&user,string&pass,string&data) : cObj("cMySQL")
-+cMySQL::cMySQL(string&host,string&user,string&pass,string&data,string&charset) : cObj("cMySQL")
- {
- mDBName = data;
- Init();
-- if(!Connect(host,user,pass,data))
-+ if(!Connect(host,user,pass,data,charset))
- {
- throw "Mysql connection error.";
- }
-@@ -55,10 +55,10 @@
- if(!mDBHandle) Error(0, string("Can't init mysql structure :(.: "));
- }
-
--bool cMySQL::Connect(string &host, string &user, string &pass, string &data)
-+bool cMySQL::Connect(string &host, string &user, string &pass, string &data, string &charset)
- {
- if(Log(1)) LogStream() << "Connecting to mysql server: "
-- << user << "@" << host << "/" << data << " using UTF8 encoding" << endl;
-+ << user << "@" << host << "/" << data << "with charset " << charset << endl;
-
- mysql_options(mDBHandle,MYSQL_OPT_COMPRESS,0);
- //mysql_options(mDBHandle,MYSQL_SET_CHARSET_NAME,"utf8");
-@@ -66,7 +66,7 @@
- mysql_options(mDBHandle, MYSQL_OPT_RECONNECT, "true");
- #endif
-
-- //mysql_options(mDBHandle,MYSQL_SET_CHARSET_NAME,charset.c_str());
-+ mysql_options(mDBHandle,MYSQL_SET_CHARSET_NAME,charset.c_str());
-
- if(!mysql_real_connect(
- mDBHandle,
-diff -Naur verlihub-0.9.8e-r2/src/cmysql.h verlihub-0.9.8e-r2-patched/src/cmysql.h
---- verlihub-0.9.8e-r2/src/cmysql.h 2009-05-16 17:46:26.000000000 +0300
-+++ verlihub-0.9.8e-r2-patched/src/cmysql.h 2010-03-11 10:27:40.220256720 +0200
-@@ -47,10 +47,10 @@
- friend class cQuery;
- public:
- cMySQL();
-- cMySQL(string&host,string&user,string&pass,string&data);
-+ cMySQL(string&host,string&user,string&pass,string&data,string&charset);
- ~cMySQL();
- void Init();
-- bool Connect(string &host, string &user, string &passwd, string &db);
-+ bool Connect(string &host, string &user, string &passwd, string &db, string &charset);
- string GetDBName()
- {
- return mDBName;
-diff -Naur verlihub-0.9.8e-r2/src/cpenaltylist.cpp verlihub-0.9.8e-r2-patched/src/cpenaltylist.cpp
---- verlihub-0.9.8e-r2/src/cpenaltylist.cpp 2009-05-16 17:48:00.000000000 +0300
-+++ verlihub-0.9.8e-r2-patched/src/cpenaltylist.cpp 2010-03-11 10:30:28.559004554 +0200
-@@ -21,6 +21,7 @@
- ***************************************************************************/
-
- #include "cpenaltylist.h"
-+#include <string.h>
-
- namespace nDirectConnect {
-
-diff -Naur verlihub-0.9.8e-r2/src/cserverdc.cpp verlihub-0.9.8e-r2-patched/src/cserverdc.cpp
---- verlihub-0.9.8e-r2/src/cserverdc.cpp 2009-07-10 21:45:07.000000000 +0300
-+++ verlihub-0.9.8e-r2-patched/src/cserverdc.cpp 2010-03-11 10:28:57.267254788 +0200
-@@ -87,7 +87,8 @@
- mDBConf.db_host,
- mDBConf.db_user,
- mDBConf.db_pass,
-- mDBConf.db_data), // connect to mysql
-+ mDBConf.db_data,
-+ mDBConf.db_charset), // connect to mysql
- mC(*this), // create the config object
- mL(*this),
- mSetupList(mMySQL),
diff --git a/net-p2p/verlihub/verlihub-0.9.8e-r3.ebuild b/net-p2p/verlihub/verlihub-0.9.8e-r3.ebuild
deleted file mode 100644
index e82c1ae..0000000
--- a/net-p2p/verlihub/verlihub-0.9.8e-r3.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-200 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils
-
-DESCRIPTION="Verlihub, a linux hub for the p2p program 'direct connect'"
-HOMEPAGE="http://www.verlihub-project.org"
-SRC_URI="http://www.verlihub-project.org/download/${P}-r2.tar.bz2"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86-fbsd x86"
-
-DEPEND="dev-libs/libpcre
- dev-libs/geoip
- >=dev-db/mysql-4.0.20
- sys-libs/zlib"
-IUSE="lua iplog forbid funny messanger chatroom isp replacer stats python"
-PDEPEND=" lua? ( net-libs/lua )
- iplog? ( net-libs/iplog )
- forbid? ( net-libs/forbid )
- funny? ( net-libs/funny )
- messanger? ( net-libs/messanger )
- chatroom? ( net-libs/chatroom )
- isp? ( net-libs/isp )
- replacer? ( net-libs/replacer )
- stats? ( net-libs/stats )
- python? ( net-libs/python )
- "
-
-S="${WORKDIR}/${P}-r2"
-
-src_unpack() {
- unpack "${P}-r2.tar.bz2"
- cd "${S}"
- epatch ${FILESDIR}/*.patch
-}
-src_compile() {
- econf || die
- emake || die "Make failed; please report problems or bugs to bugs@verlihub-project.org or visit http://forums.verlihub-project.org/viewforum.php?f=36"
-}
-
-src_install() {
- make DESTDIR=${D} install || die
-
- dohtml docs/*.html
-
- docinto "scripts"
-
- dodoc \
- scripts/ccgraph \
- scripts/import_reglist_0.9.x_to_0.9.8b.sql \
- scripts/install \
- scripts/regnick \
- scripts/runhub \
- scripts/setenv \
- scripts/trigger \
- scripts/vh_runhub.in
-
- docinto ""
- dodoc \
- AUTHORS \
- COPYING \
- ChangeLog \
- INSTALL \
- NEWS \
- README \
- TODO \
- docs/configuring.txt \
- docs/help \
- docs/help.sql \
- docs/ascii \
- docs/params.php \
- docs/using.txt
-}
-
-pkg_postinst() {
- echo
- ewarn "Do NOT report bugs to Gentoo's bugzilla"
- einfo "Please report all bugs to bugs@verlihub-project.org or to http://forums.verlihubproject.org/viewforum.php?f=36"
- einfo "Verlihub Project Team"
-
- if [[ -f "/etc/verlihub/dbconfig" ]]
- then
- einfo "Verlihub is already configured in /etc/verlihub"
- einfo "You can configure a new hub by typing:"
- ewarn "emerge --config =${CATEGORY}/${PF}"
- else
- ewarn "You MUST configure verlihub before starting it:"
- ewarn "emerge --config =${CATEGORY}/${PF}"
- ewarn "That way you can [re]configure your verlihub setup"
- fi
-}
-
-pkg_config() {
- ewarn "Configuring verlihub"
- /usr/bin/vh_install
- if [[ $? ]]
- then
- ewarn "You have not configured verlihub succesfully. Please try again"
- else
- ewarn "Configuration completed"
- fi
-}
-